#root
{
  max-width: 1280px;
  margin: 0 auto;
  padding: 2rem;
  text-align: center;
}

.logo
{
  height: 6em;
  padding: 1.5em;
  will-change: filter;
  transition: filter 300ms;
}
.logo:hover
{
  filter: drop-shadow(0 0 2em #646cffaa);
}
.logo.react:hover
{
  filter: drop-shadow(0 0 2em #61dafbaa);
}

@keyframes logo-spin
{
  from
  {
    transform: rotate(0deg);
  }
  to
  {
    transform: rotate(360deg);
  }
}

@media (prefers-reduced-motion: no-preference)
{
  a:nth-of-type(2) .logo
  {
    animation: logo-spin infinite 20s linear;
  }
}

.card
{
  padding: 2em;
}

.read-the-docs
{
  color: #888;
}


/* Custom */
.App
{
  display: flex;
  width: 90vw;
  width: 90svw;
  height: 90vh;
  height: 90svh;
  font-family: sans-serif;
  text-align: center;
  border: 1px solid black;
}


p
{
  margin: 0;
}

li
{
  padding: 0;
  margin: 0;
  list-style-type: none;
}

img
{
  width: 4.5rem;
  height: 4.5rem;
  margin: 10px;
  border-radius: 50%;
  grid-row: 1 / span 2;
}


.home-page
{
  display: flex;
  flex-direction: column;
  width: 90svw;
  padding: 0.5rem;
  margin: 0.5rem;
  margin-right: 0.25rem;
  border: 1px solid yellow;
}

.employee-page
{
  display: flex;
  flex-direction: column;
  width: 90svw;
  padding: 0.5rem;
  margin: 0.5rem;
  margin-left: 0.25rem;
  border: 1px solid yellow;
}

.header
{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 0.2rem;
  margin-bottom: 0.2rem;
  height: 2.5rem;
  border: 1px solid skyblue;
}
.header-text
{
  flex: 1;
  text-align: center;
}
.back-button
{
  justify-content: flex-start;
  width: 5vw;
  width: 5swv;
  height: 90%;
  margin: 0.2rem;
  color: deepskyblue;
  background: inherit;
  border: none;
}

.search
{
  border-radius: 10px;
  height: 25px;
  border: 1px solid green;
}

.employee-list
{
  display: flex;
  flex-direction: column;
  padding: 0.2rem;
  margin-top: 0.2rem;
  border: 1px solid purple;
}

.employee-card
{
  display: grid;
  grid-template-columns: 1fr 4fr;
  grid-template-rows: 3rem 2.5rem;
  text-align: left;
  margin-top: 0.2rem;
  border: 1px solid red;
}

.info-card
{
  display: flex;
  justify-content: center;
  align-items: center;
  height: 5rem;
  padding: 0.5rem;
  text-align: left;
  line-height: 0.5;
  border: 1px solid grey;
  border-radius: 10px;
}
.info-text
{
  flex: 1;
  text-align: left;
}
.expand-button
{
  justify-content: flex-end;
  width: 5vw;
  width: 5swv;
  height: 90%;
  margin: 0.2rem;
  color: grey;
  background: inherit;
  border: none;
}